

Fix some warnings in the ppc64 build.

Also declare a couple of AIO functions in aio.h rather than aio.c They are
needed for 32-bit emulation support.


 arch/ppc64/kernel/sys_ppc32.c |    5 +++--
 fs/aio.c                      |    0 
 include/linux/aio.h           |    3 +++
 3 files changed, 6 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/sys_ppc32.c~ppc64-scruffiness arch/ppc64/kernel/sys_ppc32.c
--- 25/arch/ppc64/kernel/sys_ppc32.c~ppc64-scruffiness	2003-03-25 18:40:26.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/sys_ppc32.c	2003-03-25 18:40:26.000000000 -0800
@@ -32,6 +32,7 @@
 #include <linux/shm.h>
 #include <linux/slab.h>
 #include <linux/uio.h>
+#include <linux/aio.h>
 #include <linux/nfs_fs.h>
 #include <linux/smb_fs.h>
 #include <linux/smb_mount.h>
@@ -2944,7 +2945,7 @@ long sys32_io_submit(aio_context_t ctx_i
 		struct iocb tmp;
 		u32 *user_iocb;
 
-		if (unlikely(__get_user(user_iocb, iocbpp + i))) {
+		if (unlikely(__get_user((u32)(long)user_iocb, iocbpp + i))) {
 			ret = -EFAULT;
 			break;
 		}
@@ -2954,7 +2955,7 @@ long sys32_io_submit(aio_context_t ctx_i
 			break;
 		}
 
-		ret = io_submit_one(ctx, user_iocb, &tmp);
+		ret = io_submit_one(ctx, (struct iocb *)user_iocb, &tmp);
 		if (ret)
 			break;
 	}
diff -puN fs/aio.c~ppc64-scruffiness fs/aio.c
diff -puN include/linux/aio.h~ppc64-scruffiness include/linux/aio.h
--- 25/include/linux/aio.h~ppc64-scruffiness	2003-03-25 18:40:26.000000000 -0800
+++ 25-akpm/include/linux/aio.h	2003-03-25 18:40:27.000000000 -0800
@@ -147,6 +147,9 @@ extern int FASTCALL(aio_complete(struct 
 extern void FASTCALL(__put_ioctx(struct kioctx *ctx));
 struct mm_struct;
 extern void FASTCALL(exit_aio(struct mm_struct *mm));
+extern struct kioctx *lookup_ioctx(unsigned long ctx_id);
+extern int FASTCALL(io_submit_one(struct kioctx *ctx,
+			struct iocb *user_iocb, struct iocb *iocb));
 
 /* semi private, but used by the 32bit emulations: */
 struct kioctx *lookup_ioctx(unsigned long ctx_id);

_
